{
    "extends": "./tsconfig.json",  // Falls du eine allgemeine tsconfig hast
    "compilerOptions": {
      "outDir": "./dist/backend",     // Zielordner für die kompilierte Backend-Dateien
      "module": "NodeNext",            // Setze das Modul auf NodeNext
      "moduleResolution": "NodeNext",  // NodeNext für die Modulauflösung
      "target": "ES2020",              // Moderne JavaScript-Syntax verwenden
      "esModuleInterop": true,         // Interoperabilität mit CommonJS- und ES-Modulen
      "allowSyntheticDefaultImports": true, // Synthetische Default-Imports erlauben
      "allowImportingTsExtensions": true,
      "skipLibCheck": true,             // Bibliotheken werden nicht überprüft (Optional)
      "noEmit": true
    },
    "include": [
      "backend/**/*.ts"                // Nur Dateien im backend-Ordner kompilieren
    ]
  }